Subject: bug#53134: org.signal.Signal on flatpak can't execvp xdg-settings

From: John Kehayias <[email-masked]>
Date: Sun, 09 Jan 2022 03:47:03 +0000

Hello,

I use Signal through Flatpak on a Guix System without any issues. I can't say I have seen this error before. Some general pointers about Flatpak (on Guix at least):

1. Applications should be installed as a user, i.e. with flatpak --user I don't think running them it makes a difference specifying, and probably you would have run into an error or suggestion from flatpak telling you to use --user.

2. To interact with the system (Flatpak is a sandbox) you will likely need an xdg-desktop-portal, probably xdg-desktop-portal-gtk or xdg-desktop-portal-wlr (for Wayland, not sure how the setup for that works though)

3. The first warning you see can be rectified by adding the second path (the first won't exist on Guix Systems) to XDG_DATA_DIRS as it notes (in your .profile or similar), or you can use the script provided by the package in your profile's etc/profile.d/flatpak.sh (I don't think Guix automatically uses scripts in etc/profile.d unlike other distros)

Hope that helps! If you can provide other info like how you installed Signal, guix describe, and so on, that may help too.

John